#include <stdio.h>

#define C 5
#define R 3

int matrix[R][C] = {
    {9, 6, 8, 3, 7},
    {4, 5, 7, 1, 3},
    {7, 11, 0, 9, 11}
};

// dispari
void riorganizza_crescente(int *sottoriga, int colonne) {
    int max, min, tmp;
    for (int i=0; i<colonne; i++) {
        if (i % 2 == 0) { // pari
            for (int j=i; j<colonne; j = j+1) {
                if (sottoriga[j] > sottoriga[i]) {
                    tmp = sottoriga[i];
                    sottoriga[i] = sottoriga[j];
                    sottoriga[j] = tmp;
                }
            }
        }
        else {
            for (int j=i; j<colonne; j = j+1) {
                if (sottoriga[j] < sottoriga[i]) {
                    tmp = sottoriga[i];
                    sottoriga[i] = sottoriga[j];
                    sottoriga[j] = tmp;
                }
            }
        }
    }
}

// pari
void riorganizza_decrescente(int *sottoriga, int colonne) {
    int max, min, tmp;
    for (int i=0; i<colonne; i++) {
        if (i % 2 != 0) { // pari
            for (int j=i; j<colonne; j = j+1) {
                if (sottoriga[j] > sottoriga[i]) {
                    tmp = sottoriga[i];
                    sottoriga[i] = sottoriga[j];
                    sottoriga[j] = tmp;
                }
            }
        }
        else {
            for (int j=i; j<colonne; j = j+1) {
                if (sottoriga[j] < sottoriga[i]) {
                    tmp = sottoriga[i];
                    sottoriga[i] = sottoriga[j];
                    sottoriga[j] = tmp;
                }
            }
            
        }
    }
}

int main() {
    for (int i=0; i<R; i++) {
        if (i % 2 == 0) { // pari
            riorganizza_decrescente(&matrix[i][0], C);
        }
        else { // dispari
            riorganizza_crescente(&matrix[i][0], C);
        }
    }

    for (int i=0; i<R; i++) {
        for (int j=0; j<C; j++) {
            printf("%d ", matrix[i][j]);
        }
        printf("\n");
    }
}

