#include <string.h>
#include <stdio.h>

int isogramma(char *s) {
    char occurrencies[26] = {0};

    int num = 0;

    for (int i=0; i<strlen(s); i++) {
        if (s[i] >= 'a' && s[i] <= 'z') {
            occurrencies[s[i] - 'a']++;
        }
        else if (s[i] >= 'A' && s[i] <= 'Z') {
            occurrencies[s[i] - 'A']++;
        }
        else {
            printf("Invalid string.");
            return 0;
        }
    }

    for (int j=0; j<26; j++) {
        if (occurrencies[j] != 0) {
            if (num == 0) {
                num = occurrencies[j];
            }
            else if (occurrencies[j] != num) {
                return 0;
            }
        }
    }
    return num;
}

int main() {
    char s[128];

    scanf("%s", s);

    printf("%d\n", isogramma(s));
}